Overview
PUT
/team/teams/{id}teamUpdate teams
Replace a record in teams by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- ownerKindoptionalstring
- ownerIdoptionalstring
- slugoptionalstring
- nameoptionalstring
- descriptionoptionalstring
- isDeletedoptionalboolean
Example
{
"ownerKind": "string",
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"isDeleted": true
}Responses
200
teams
- idstring
- ownerKindstring
- ownerIdstring
- slugstring
- namestring
- descriptionstring
- createdBystring?
- createdAtstring
- updatedAtstring
- isDeletedboolean
Example
{
"id": "string",
"ownerKind": "string",
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"createdBy": "string",
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/team/teams/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ownerKind": "string",
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"isDeleted": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/team/teams/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ownerKind\": \"string\",\n \"ownerId\": \"string\",\n \"slug\": \"string\",\n \"name\": \"string\",\n \"description\": \"string\",\n \"isDeleted\": true\n}",
});
const data = await res.json();